# Installation using Ansible

{% hint style="info" %}
The [Ansible collection for NetObserv](https://galaxy.ansible.com/ui/repo/published/elastiflow/netobserv/docs/) is currently a *technology preview*. The design and implementation are less mature than stable features and subject to change. Please provide feedback or report issues to the [ElastiFlow Forum](https://forum.elastiflow.com/).&#x20;
{% endhint %}

An ansible role is available to install and configure NetObserv Flow. The role is available via the [Ansible Galaxy role](https://galaxy.ansible.com/ui/repo/published/elastiflow/netobserv/content/role/netobserv_flow/).

### Requirements

* Ansible 2.16 or later
* Python 3.10 or later
* A target host running a supported version of Linux. For more information on available distributions and versions, see the [NetObserv Collection Requirements](https://github.com/elastiflow/ansible-collection-netobserv?tab=readme-ov-file#requirements).

### Example Playbooks

Here are the examples of how to use the `elastiflow.netobserv.netobserv_flow` role:

* [NetObserv Flow ES simple](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/examples/netobserv_flow_es_simple): Deploy NetObserv Flow with "simple" Elasticsearch
* [NetObserv Flow OS simple](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/examples/netobserv_flow_os_simple): Deploy NetObserv Flow with "simple" OpenSearch

### Usage Instructions

1. **Add the Role**: Add the `elastiflow.netobserv` collection to the `requirements.txt` in your Ansible roles directory or include it in your project structure and [install the requirements](https://docs.ansible.com/ansible/latest/galaxy/user_guide.html#installing-multiple-roles-from-a-file).
2. **Include the Role in Your Playbook**: Reference the `elastiflow.netobserv.netobserv_flow` role in your playbook as shown in the examples above (full role configuration [doc](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/roles/netobserv_flow)).
3. **Run the Playbook**:
   * **Check Mode (Dry Run)**:

     ```
     ansible-playbook playbook.yml --check
     ```
   * **Apply Changes**:

     ```
     ansible-playbook playbook.yml
     ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/flowcoll/installation/install_ansible.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
